import sys
import math

def dx(n):
	if n == 1:
		# Mit [1.5, 3]
		return [-0.4, 3.8] # [-0.25, 4] # [-1.75, 4] # [-4, 1] # [-4, 0.6540437] (konv.) vs. [-4, 0.6540438] (div.)
	elif n == 2:
		# Mit [1.5, 3]
		return [1.5, 3]
	elif n == 3:
		# Mit [1, 2]
		return [1, 2]
	elif n == 4:
		# Mit [0.5, 1.5]
		return [0.5, 1.5]
	elif n == 5:
		# Mit [-0.5, 0.5]
		return [-0.5, 0.5]
	elif n == 6:
		# Mit [-0.5, 0.5]
		return [-1.5, 0.5] # [-1, 0.5] # [-1.413 0.5] (konv.) vs. [-1.414, 0.5] (div.)
	elif n == 7:
		# Mit [0.2, 3.8]
		return [-1, 4] # [-0.4, 3.8] # [0.2, 3.8]
	elif n == 8:
		# Mit [0.2, 3.8]
		return [-1, 4] # [-0.4, 3.8] # [0.2, 3.8]
	elif n == 9:
		# Mit [0.2, 3.8]
		return [-1, 4] # [-0.4, 3.8] # [0.2, 3.8]
	elif n == 10:
		# Mit [0.2, 3.8]
		return [-1, 4] # [-0.4, 3.8] # [0.2, 3.8]
	else:
		sys.exit()

def f(n, x):
	if n == 1:
		return x**2-4
	elif n == 2:
		return x**3-8
	elif n == 3:
		return 2*x**3-2.5*x-5
	elif n == 4:
		return 5*math.sin(x)**2-8*math.cos(x)**5
	elif n == 5:
		return 1/(math.exp(-x)+1)-0.5
	elif n == 6:
		return math.sin(x)*math.exp(-x**2)
	elif n == 7:
		return 4*(math.exp(x-2)-1)
	elif n == 8:
		return -4*(math.exp(x-2)-1)
	elif n == 9:
		return 4*(math.exp(-x+2)-1)
	elif n == 10:
		return -4*(math.exp(-x+2)-1)
	else:
		sys.exit()

def dfdx(n, x):
	if n == 1:
		return 2*x
	elif n == 2:
		return 3*x**2
	elif n == 3:
		return 6*x**2-2.5
	elif n == 4:
		return 10*math.sin(x)*math.cos(x)+40*math.cos(x)**4*math.sin(x)
	elif n == 5:
		return math.exp(-x)/(math.exp(-x)+1)**2
	elif n == 6:
		return math.cos(x)*math.exp(-x**2)-2*x*math.sin(x)*math.exp(-x**2)
	elif n == 7:
		return 4*math.exp(x-2)
	elif n == 8:
		return -4*math.exp(x-2)
	elif n == 9:
		return -4*math.exp(-x+2)
	elif n == 10:
		return 4*math.exp(-x+2)
	else:
		sys.exit()
