import funktion

if __name__ == "__main__":
    fehlerschwelle = 10**(-8)

    n = 1

    itr = 0

    x0, x1 = funktion.dx(n)
    f0 = funktion.f(n, x0)
    f1 = funktion.f(n, x1)

    x2 = x1-(x1-x0)/(f1-f0)*f1
    f2 = funktion.f(n, x2)

    fehler = abs(f2)

    kpi = 17    # Kosten pro Iterationsschritt
    kost = kpi  # Kosten insgesamt

    print(f"itr = {itr: >2}, x0 = {x0: .3e}, x1 = {x1: .3e}, x2 = {x2: .3e}, flr = {fehler:.3e}, awd = {kost: >3}")

    while fehler > fehlerschwelle:
        itr += 1

        x0 = x1
        x1 = x2
        f0 = f1
        f1 = f2

        x2 = x1-(x1-x0)/(f1-f0)*f1
        f2 = funktion.f(n, x2)

        fehler = abs(f2)

        kost += kpi

        print(f"itr = {itr: >2}, x0 = {x0: .3e}, x1 = {x1: .3e}, x2 = {x2: .3e}, flr = {fehler:.3e}, awd = {kost: >3}")
